| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2484.cpp File Reference
Analog-to-Digital Converters (ADC) » LTC2484: 24-Bit Delta Sigma ADC with Easy Drive Input Current Cancellation

Library for LTC2484: 24-Bit Delta Sigma ADC with Easy Drive Input Current Cancellation. More...

## Detailed Description

Library for LTC2484: 24-Bit Delta Sigma ADC with Easy Drive Input Current Cancellation.

Definition in file LTC2484.cpp.

Go to the source code of this file.

## Functions
int8_t | LTC2484_EOC_timeout (uint8_t cs, uint16_t miso_timeout)
| Checks for EOC with a specified timeout. More...
void | LTC2484_read (uint8_t cs, uint8_t adc_command, int32_t *adc_code)
| Read LTC2484 result, program configuration for next conversion. More...
float | LTC2484_code_to_voltage (int32_t adc_code, float LTC2484_lsb, int32_t LTC2484_offset_code)
| Calculates the LTC2484 input bipolar voltage. More...
float | LTC2484_temperature (int32_t adc_code, float LTC2484_t0, float LTC2484_r0)
| Calculate the LTC2484 temperature. More...
void | LTC2484_cal_voltage (int32_t zero_code, int32_t fs_code, float zero_voltage, float fs_voltage, float *LTC2484_lsb, int32_t *LTC2484_offset_code)
| Calibrate the lsb. More...
void | LTC2484_cal_temperature (int32_t adc_code, float temperature, float *LTC2484_t0, float *LTC2484_r0)
| Calibrate temperature. More...

## Function Documentation

## ◆ LTC2484_cal_temperature()

void LTC2484_cal_temperature | ( | int32_t | adc_code,
|  | float | temperature,
|  | float * | LTC2484_t0,
|  | float * | LTC2484_r0
| ) |  |

Calibrate temperature.

Returns
  Void

Parameters

  adc_code | ADC code
  temperature | Actual temperature
  LTC2484_t0 | Temperature calibration value
  LTC2484_r0 | Voltage for temperature calibration value

Definition at line 123 of file LTC2484.cpp.

## ◆ LTC2484_cal_voltage()

void LTC2484_cal_voltage | ( | int32_t | zero_code,
|  | int32_t | fs_code,
|  | float | zero_voltage,
|  | float | fs_voltage,
|  | float * | LTC2484_lsb,
|  | int32_t * | LTC2484_offset_code
| ) |  |

Calibrate the lsb.

Returns
  Void

Parameters

  zero_code | Offset (Code)
  fs_code | Code measured with full-scale input applied
  zero_voltage | Measured zero voltage
  fs_voltage | Actual voltage applied during full-scale measurement
  LTC2484_lsb | Returns LSB value (volts)
  LTC2484_offset_code | Returns Offset (Code)

Definition at line 109 of file LTC2484.cpp.

## ◆ LTC2484_code_to_voltage()

float LTC2484_code_to_voltage | ( | int32_t | adc_code,
|  | float | LTC2484_lsb,
|  | int32_t | LTC2484_offset_code
| ) |  |

Calculates the LTC2484 input bipolar voltage.

Returns
  Calculated voltage

Parameters

  adc_code | Raw ADC code
  LTC2484_lsb | LSB value (volts)
  LTC2484_offset_code | Offset (Code)

Definition at line 96 of file LTC2484.cpp.

## ◆ LTC2484_EOC_timeout()

int8_t LTC2484_EOC_timeout | ( | uint8_t | cs,
|  | uint16_t | miso_timeout
| ) |  |

Checks for EOC with a specified timeout.

Returns
  Returns 0=successful, 1=unsuccessful (exceeded timeout)

Parameters

  cs | Chip Select pin
  miso_timeout | Timeout (in millisends)

Definition at line 84 of file LTC2484.cpp.

## ◆ LTC2484_read()

void LTC2484_read | ( | uint8_t | cs,
|  | uint8_t | adc_command,
|  | int32_t * | adc_code
| ) |  |

Read LTC2484 result, program configuration for next conversion.

Returns
  void

Parameters

  cs | Chip Select pin
  adc_command | Command byte
  adc_code | Returns raw 32-bit code read from ADC

Definition at line 90 of file LTC2484.cpp.

## ◆ LTC2484_temperature()

float LTC2484_temperature | ( | int32_t | adc_code,
|  | float | LTC2484_t0,
|  | float | LTC2484_r0
| ) |  |

Calculate the LTC2484 temperature.

Returns
  Calculated Temperature

Parameters

  adc_code | ADC code
  LTC2484_t0 | Temperature calibration value
  LTC2484_r0 | Voltage for temperature calibration value

Definition at line 102 of file LTC2484.cpp.